Skip to main content
`Ctrl`+`K`

# PetscSectionGetPermutation

Returns the permutation of [0, `pEnd` - `pStart`) or `NULL` that was set with `PetscSectionSetPermutation()`

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetPermutation(PetscSection s, IS *perm)

Not Collective

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- perm - The permutation as an `IS`

## See Also

Low-level Vector Communication, `IS`, `PetscSection`, `PetscSectionSetPermutation()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages